<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.aluxoft.earrecognition" >

    <uses-permission android:name="org.commcare.dalvik.provider.cases.read"/>
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/Widget.AppCompat.Light.ActionBar" >
        <!-- Install test screen. -->
        <activity
            android:name=".activities.EarCaptureActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <!-- Search case_id intent (Follow-up) -->
        <activity android:name=".intents.IntentSearchFeatures"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="com.auriclon.search" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <!-- Take photo intent (Register) -->
        <activity android:name=".intents.IntentTransferFeatures"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="com.auriclon.features" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <!-- Private API -->
        <!-- Call by IntentTransferFeatures (Follow-up) -->
        <activity android:name=".activities.SelectFollowupActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="com.auriclon.activity_select_user"/>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <!-- Call by IntentTransferFeatures, IntentSearchFeatures (Follow-up/Register) -->
        <activity android:name=".activities.SIFTActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="com.auriclon.activity_sift"/>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="8f546553db41cde72b997b22a2d5d9639236a29b" />
    </application>
    <!-- Todo: Remove permission if not used -->
    <uses-permission android:name="android.permission.INTERNET" />
</manifest>
